﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace photostand
{
    public partial class OptionSetting : Form
    {
        public int  sequentialMode;
        public int  folderRoot;
        public int  continueAfterDirectChange;
        public int  folderRecursive;
        public bool isCanceled = true;

        public OptionSetting()
        {
            InitializeComponent();
            this.isCanceled = true;
        }

        private void shown(object sender, EventArgs e)
        {
            if (this.folderRoot == 0) {
                this.radioButtonFolder1.Checked = true;
                this.radioButtonFolder2.Checked = false;
            } else {
                this.radioButtonFolder1.Checked = false;
                this.radioButtonFolder2.Checked = true;
            }

            if (this.sequentialMode == 0) {
                this.radioButtonSeq1.Checked = true;
                this.radioButtonSeq2.Checked = false;
                this.groupBox3.Enabled = false;
            } else {
                this.radioButtonSeq1.Checked = false;
                this.radioButtonSeq2.Checked = true;
                this.groupBox3.Enabled = true;
            }

            if (this.continueAfterDirectChange == 0) {
                this.radioButtonSeqDirect1.Checked = true;
                this.radioButtonSeqDirect2.Checked = false;
            } else {
                this.radioButtonSeqDirect1.Checked = false;
                this.radioButtonSeqDirect2.Checked = true;
            }

            if (this.folderRecursive == 0) {
                this.radioButtonRecursive1.Checked = true;
                this.radioButtonRecursive2.Checked = false;
            } else {
                this.radioButtonRecursive1.Checked = false;
                this.radioButtonRecursive2.Checked = true;
            }
        }
        
        private void button1_Click(object sender, EventArgs e)
        {
            this.isCanceled = false;
            this.Close();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.isCanceled = true;
            this.Close();
        }

        private void radioButtonSeq1_CheckedChanged(object sender, EventArgs e)
        {
            this.sequentialMode = 0;
            this.groupBox3.Enabled = false;
        }

        private void radioButtonSeq2_CheckedChanged(object sender, EventArgs e)
        {
            this.sequentialMode = 1;
            this.groupBox3.Enabled = true;
        }

        private void radioButtonFolder1_CheckedChanged(object sender, EventArgs e)
        {
            this.folderRoot = 0;
        }

        private void radioButtonFolder2_CheckedChanged(object sender, EventArgs e)
        {
            this.folderRoot = 1;
        }

        private void radioButtonSeqDirect1_CheckedChanged(object sender, EventArgs e)
        {
            this.continueAfterDirectChange = 0;
        }

        private void radioButtonSeqDirect2_CheckedChanged(object sender, EventArgs e)
        {
            this.continueAfterDirectChange = 1;
        }

        private void radioButtonRecursive1_CheckedChanged(object sender, EventArgs e)
        {
            this.folderRecursive = 0;
        }

        private void radioButtonRecursive2_CheckedChanged(object sender, EventArgs e)
        {
            this.folderRecursive = 1;
        }
    }
}
