﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace photostand
{
    public partial class KeywordSelect : Form
    {
        public List<string> checkedKeywords;
        private string[] keywordString = { Properties.Resources.k_Landscape, Properties.Resources.k_City, Properties.Resources.k_Cosmos, Properties.Resources.k_Mountain, Properties.Resources.k_Art, 
                                             Properties.Resources.k_Nature, Properties.Resources.k_Flower, Properties.Resources.k_Animal, Properties.Resources.k_Pet, Properties.Resources.k_Insect,  Properties.Resources.k_Fish,  Properties.Resources.k_Bird,
                                             Properties.Resources.k_Woman, Properties.Resources.k_Male,  Properties.Resources.k_Idol, Properties.Resources.k_Sports, Properties.Resources.k_People,
                                             Properties.Resources.k_Vehicle, Properties.Resources.k_Poster, Properties.Resources.k_Object, Properties.Resources.k_Anime, Properties.Resources.k_Design };

        public KeywordSelect()
        {
            InitializeComponent();

            // Initialize the comboBox of selsecting keyword.
            this.checkedListBox1.Items.AddRange(keywordString);
            this.checkedListBox1.CheckOnClick = true;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.checkedKeywords = new List<string>();
            foreach (int idx in this.checkedListBox1.CheckedIndices) {
                this.checkedKeywords.Add(this.indexToString(idx));
            }
            this.Close();
        }

        public string indexToString(int idx)
        {
            return this.keywordString[idx];
        }
    }
}
